KLA19256
Multiple vulnerabilities in Mozilla Firefox

Updated: 09/26/2022
Detect date
?
09/20/2022
Severity
?
High
Description

Multiple vulnerabilities were found in Mozilla Firefox. Malicious users can exploit these vulnerabilities to execute arbitrary code, bypass security restrictions, cause denial of service.

Below is a complete list of vulnerabilities:

  1. Memory safety vulnerability can be exploited to execute arbitrary code.
  2. Security vulnerability in cookie can be exploited to bypass security restrictions.
  3. Denial of service vulnerability in cache on ARM64 platforms can be exploited to cause denial of service.
  4. Stack-buffer overflow vulnerability in Graphics can be exploited to execute arbitrary code.
  5. Security vulnerability in base-uri can be exploited to bypass security restrictions.
  6. Use after free vulnerability in threads can be exploited to execute arbitrary code.
  7. Security vulnerability in transient pages can be exploited to bypass security restrictions.
  8. Out of bounds read vulnerability in H264 decoding can be exploited to cause denial of service.
Affected products

Mozilla Firefox earlier than 105.0

Solution

Update to the latest version
Download Firefox

Original advisories

MFSA2022-40

Impacts
?
ACE 
[?]

DoS 
[?]

SB 
[?]
Related products
Mozilla Firefox
Find out the statistics of the vulnerabilities spreading in your region